import { ContextPlugin } from "@webiny/api";
import { PbContext } from "./types";
import { PageBuilderStorageOperations } from "../types";
import { GzipContentCompressionPlugin, JsonpackContentCompressionPlugin } from "../plugins";
export interface CreateCrudParams {
    storageOperations: PageBuilderStorageOperations;
}
export declare const createCrud: (params: CreateCrudParams) => (JsonpackContentCompressionPlugin | GzipContentCompressionPlugin | ContextPlugin<PbContext>)[];
