import { PbContext } from "../../../graphql/types";
import { TranslatedCollection } from "../domain/TranslatedCollection";
interface CloneTranslatableCollectionParams {
    sourceCollectionId: string;
    newCollectionId: string;
    languageCode: string;
}
export declare class CloneTranslatedCollectionUseCase {
    private readonly context;
    constructor(context: PbContext);
    execute({ sourceCollectionId, newCollectionId, languageCode }: CloneTranslatableCollectionParams): Promise<TranslatedCollection>;
}
export {};
